<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net7.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
    <BaseOutputPath>..\bin\</BaseOutputPath>
    <BaseIntermediateOutputPath>..\obj\</BaseIntermediateOutputPath>
    <PackageId>dynalib</PackageId>
	<AssemblyName>dynalib</AssemblyName>
    <RootNamespace>DynaLib_DotNet</RootNamespace>
    <Version>1.0.1</Version>
    <Authors>Amber Burton</Authors>
    <Company>ArchaicSoft</Company>
    <Product>DynaLib DotNet</Product>
    <Description>A helper library for loading dynamic libraries in a similar way to the MonoFramework cross-platform library re-pointer. 

It is also compatible with dotnet class/interfaces and can be used for making plugin systems.

Refer to the project url's test folder for examples in D -- Usage is identical in dotnet.</Description>
    <Copyright>Copyright © 2021-2025, ArchaicSoft</Copyright>
    <PackageProjectUrl></PackageProjectUrl>
    <PackageReadmeFile>README.md</PackageReadmeFile>
	<PackageLicenseFile>LICENSE</PackageLicenseFile>
    <RepositoryUrl>https://gitlab.com/ArchaicSoft/bindings/dynalib</RepositoryUrl>
    <RepositoryType>git</RepositoryType>
    <PackageReleaseNotes>Updated assembly name.</PackageReleaseNotes>
    <PackageIcon>icon.png</PackageIcon>
	<Title>DynaLib DotNet</Title>
    <GeneratePackageOnBuild>True</GeneratePackageOnBuild>
    <PackageTags>Plugin</PackageTags>
    <AllowUnsafeBlocks>True</AllowUnsafeBlocks>
  </PropertyGroup>

  <ItemGroup>
    <None Include="..\icon.png">
      <Pack>True</Pack>
      <PackagePath>\</PackagePath>
    </None>
    <None Include="..\README.md">
      <Pack>True</Pack>
      <PackagePath>\</PackagePath>
    </None>
	<None Include="..\LICENSE">
	  <Pack>True</Pack>
	  <PackagePath>\</PackagePath>
	</None>
  </ItemGroup>

</Project>
